CREATE TABLE clients (
    idClient INT PRIMARY KEY AUTO_INCREMENT,
    nom VARCHAR(255),
    prenom VARCHAR(255),
    adresse VARCHAR(255),
    email VARCHAR(255),
    telephone VARCHAR(255)
);

CREATE TABLE interventions (
    idIntervention INT PRIMARY KEY AUTO_INCREMENT,
    observation LONGTEXT,
    date DATE,
    idClient INT,
    FOREIGN KEY (idClient) REFERENCES clients(idClient)
);

INSERT INTO clients (nom, prenom, adresse, email, telephone) VALUES 
('Doe', 'John', '123 Main St', 'johndoe@example.com', '123-456-7890'),
('Smith', 'Jane', '456 Elm St', 'janesmith@example.com', '987-654-3210'),
('Johnson', 'Bob', '789 Oak St', 'bobjohnson@example.com', '555-123-4567'),
('Williams', 'Alice', '321 Maple St', 'alicewilliams@example.com', '901-234-5678'),
('Jones', 'Mike', '901 Pine St', 'mikejones@example.com', '111-222-3333'),
('Brown', 'Emma', '234 Cedar St', 'emmabrown@example.com', '444-555-6666'),
('Davis', 'Tom', '567 Spruce St', 'tomdavis@example.com', '777-888-9999'),
('Miller', 'Lily', '890 Walnut St', 'lilymiller@example.com', '333-444-5555'),
('Wilson', 'Sam', '345 Hickory St', 'samwilson@example.com', '666-777-8888'),
('Moore', 'Olivia', '678 Beech St', 'oliviamoore@example.com', '999-000-1111');

INSERT INTO interventions (observation, date, idClient) VALUES 
('Test intervention 1', '2022-01-01', 1),
('Test intervention 2', '2022-01-02', 2),
('Test intervention 3', '2022-01-03', 3),
('Test intervention 4', '2022-01-04', 4),
('Test intervention 5', '2022-01-05', 5),
('Test intervention 6', '2022-01-06', 6),
('Test intervention 7', '2022-01-07', 7),
('Test intervention 8', '2022-01-08', 8),
('Test intervention 9', '2022-01-09', 9),
('Test intervention 10', '2022-01-10', 10);
